Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228690 - es_MX localedef uses lowercase instead of uppercase letters for days and months
Summary: es_MX localedef uses lowercase instead of uppercase letters for days and months
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-14 14:57 UTC by Paul Dwyer
Modified: 2016-11-24 15:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-02 16:22:24 UTC


Attachments (Terms of Use)

Description Paul Dwyer 2007-02-14 14:57:16 UTC
Description of problem:

es_MX localedef file has lowercase letters for days and months instead of uppercase

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. LC_TIME=es_MX date
2.
3.
  
Actual results:
for say Sunday 28th Jan we get
dom ene 28 01:01:52 GMT 2007

Expected results:
we should get
Dom Ene 28 01:01:52 GMT 2007

Additional info:

Comment 1 Jakub Jelinek 2007-02-14 15:52:47 UTC
Why is that wrong?  You need to prove it is customary to use uppercase first
letters by showing standard documents or at least newspaper references.
Note that ATM all es_* locales behave the same.

Comment 3 Ulrich Drepper 2007-03-02 16:22:24 UTC
The locale is correct.


Note You need to log in before you can comment on or make changes to this bug.